ContextEnvironmentMBean (Apache Tomcat 10.1.16 API Documentation)
Description: declaration: package: org.apache.catalina.mbeans, class: ContextEnvironmentMBean

Package org.apache.catalina.mbeans

# Class ContextEnvironmentMBean

java.lang.Object
org.apache.tomcat.util.modeler.BaseModelMBean
org.apache.catalina.mbeans.BaseCatalinaMBean<ContextEnvironment>
org.apache.catalina.mbeans.ContextEnvironmentMBean

All Implemented Interfaces:
  `DynamicMBean`, `MBeanRegistration`, `ModelMBeanNotificationBroadcaster`, `NotificationBroadcaster`

public class ContextEnvironmentMBean extends BaseCatalinaMBean<ContextEnvironment>

A ModelMBean implementation for the `org.apache.tomcat.util.descriptor.web.ContextEnvironment` component.

Author:
  Amy Roh

- ## Field Summary

  ### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

  `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextEnvironmentMBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setAttribute(Attribute attribute)`
  Set the value of a specific attribute of this MBean.

  ### Methods inherited from class org.apache.catalina.mbeans.BaseCatalinaMBean

  `doGetManagedResource, newInstance`

  ### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

  `addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttributes, setManagedBean, setManagedResource, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContextEnvironmentMBean

    public ContextEnvironmentMBean()

- ## Method Details

  - ### setAttribute

    public void setAttribute(Attribute attribute) throws AttributeNotFoundException, MBeanException, ReflectionException
    Set the value of a specific attribute of this MBean.
    Specified by:
      `setAttribute` in interface `DynamicMBean`
    Overrides:
      `setAttribute` in class `BaseModelMBean`
    Parameters:
      `attribute` - The identification of the attribute to be set and the new value
    Throws:
      `AttributeNotFoundException` - if this attribute is not supported by this MBean
      `MBeanException` - if the initializer of an object throws an exception
      `ReflectionException` - if a Java reflection exception occurs when invoking the getter